<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveLast Method (LockingInfo)
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to the last key/data pair of the database, and store the secondary key and primary key/data pair in Current. If the last key has duplicate values, the last data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveLast(
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveLast ( _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveLast(
    	LockingInfo^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveLast Overload
BerkeleyDB Namespace